# Mandate Import Entry

Source: https://docs.gocardless.com/docs/api-reference/mandate-import-entry

## Add a mandate import entry

`POST /mandate_import_entries`

For an existing [mandate import](#core-endpoints-mandate-imports), this endpoint can
be used to add individual mandates to be imported into GoCardless.

You can add no more than 30,000 rows to a single mandate import.
If you attempt to go over this limit, the API will return a `record_limit_exceeded` error.

### Request body

Wrap request body attributes in a `mandate_import_entries` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `links` | object | No |  |
| `record_identifier` | string | No | A unique identifier for this entry, which you can use (once the import has been processed by GoCardless) to identify the records that have been created. Limited to 255 characters. |
| `mandate` | object | No |  |
| `customer` | object | No |  |
| `bank_account` | object | No |  |
| `amendment` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List all mandate import entries

`GET /mandate_import_entries`

For an existing mandate import, this endpoint lists all of the entries attached.

After a mandate import has been submitted, you can use this endpoint to associate records
in your system (using the `record_identifier` that you provided when creating the
mandate import).

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
